automation-cloud
latest
false
- 基本情報
- 認証
- 範囲と権限
- プラットフォーム管理 API
UiPath Automation Cloud API ガイド
最終更新日時 2026年5月5日
Resolves a single directory entity by its name and type, based on the organization ID.
API エンドポイント
POST {accessURL}/{organizationName}/identity_/api/Directory/ResolveByName/{partitionGlobalId}
すべてのエンドポイント パスの {accessURL} は、ご使用のクラウド プラットフォームのベース URL に置き換えてください。
| Cloud Platform | アクセス URL |
|---|---|
| Automation Cloud | https://cloud.uipath.com/ |
| Automation Cloud (公共部門向け) | https://govcloud.uipath.us/ |
| Automation Cloud (専有型) | https://{customURL}.dedicated.uipath.com/ |
スコープ
次のスコープが必要です。
- PM.Directory
要求ヘッダー
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
注:
{access_token}を取得するには、必ずこちらで説明するいずれかの方法で認証を行ってください。
パス パラメーター
| パス パラメーター | データ型 | 説明 |
|---|---|---|
partitionGlobalId (必須) | String (GUID) | The ID of the organization to resolve the entity within. |
要求本文
The request body specifies the entity to resolve by name.
{
"entityName": "string",
"entityType": "User"
}
{
"entityName": "string",
"entityType": "User"
}
| プロパティ | データ型 | 説明 |
|---|---|---|
entityName (必須) | 文字列 | The name of the directory entity (e.g., email address for users, group name for groups). |
entityType (必須) | 文字列 | The type of directory entity. Valid values: User, Group, Application. |
応答
200 OK
Returns the full directory entity. The response shape is the same as the Resolve endpoint (varies by entity type).
404 見つかりません
Returned when the entity or partition cannot be found.
要求の例
API 呼び出しの構築に必要な情報をすべて収集したとします。
{baseURL}: https://cloud.uipath.com/{organizationName}/identity_{access_token}は1234です (長さを考慮)。{partitionGlobalId}は3fa85f64-5717-4562-b3fc-2c963f66afa6です。- You want to resolve a user by their email
john.doe@example.com.
呼び出しは次の例のようになります (cURL)。
curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/ResolveByName/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
"entityName": "john.doe@example.com",
"entityType": "User"
}'
curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/ResolveByName/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
"entityName": "john.doe@example.com",
"entityType": "User"
}'
呼び出しが成功した場合、応答本文は次のようになります。
{
"objectType": "DirectoryUser",
"source": "aad",
"identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "john.doe@example.com",
"email": "john.doe@example.com",
"displayName": "John Doe",
"firstName": "John",
"lastName": "Doe",
"jobTitle": "Software Engineer",
"companyName": "Contoso",
"city": "Seattle",
"department": "Engineering",
"isActive": true,
"creationTime": "2025-01-15T10:30:00Z"
}
{
"objectType": "DirectoryUser",
"source": "aad",
"identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "john.doe@example.com",
"email": "john.doe@example.com",
"displayName": "John Doe",
"firstName": "John",
"lastName": "Doe",
"jobTitle": "Software Engineer",
"companyName": "Contoso",
"city": "Seattle",
"department": "Engineering",
"isActive": true,
"creationTime": "2025-01-15T10:30:00Z"
}